Kind = "service-intentions"
Name = "[[ .instance ]][[ .consul.suffix ]]"
Sources = [
  {
    Name = "[[ .traefik.instance ]]"
    Permissions = [
      {
        Action = "deny"
        HTTP {
          PathPrefix = "/_synapse/metrics"
        }
      },
      {
        Action = "allow"
        HTTP {
          PathRegex = "^/_(matrix|synapse)/.*"
          Methods = ["GET", "HEAD", "POST", "OPTIONS", "PUT", "DELETE"]
        }
      },
      {
        Action = "allow"
        HTTP {
          Methods = ["GET", "HEAD"]
        }
      }
    ]
  }
]
