{
    "default_server_config": {
      "m.homeserver": {
        "base_url": "[[ .matrix.public_url ]]",
        "server_name": "[[ .matrix.server_name ]]"
      },
      "m.identity_server": {
        "base_url": "https://vector.im"
      }
    },
    "brand": "Element",
    "integrations_ui_url": "https://scalar.vector.im/",
    "integrations_rest_url": "https://scalar.vector.im/api",
    "integrations_widgets_urls": [
        "https://scalar.vector.im/_matrix/integrations/v1",
        "https://scalar.vector.im/api",
        "https://scalar-staging.vector.im/_matrix/integrations/v1",
        "https://scalar-staging.vector.im/api",
        "https://scalar-staging.element.im/scalar/api"
    ],
    "show_labs_settings": true,
    "roomDirectory": {
        "servers": [
            "matrix.org"
        ]
    },
    "disable_guests": [[ .matrix.allow_guests | ternary "false" "true" ]],
[[ if and (has .matrix "jitsi") (has .matrix.jitsi "domain") ]]
   "jitsi": {
        "preferredDomain": "[[ .matrix.jitsi.domain ]]"
    },
[[ end ]]
   "settingDefaults": {
      "UIFeature.feedback": false,
      "UIFeature.thirdPartyId": false
   },
   "map_style_url": "[[ .matrix.element.map_style_url ]]",
   "happyJson": true
}
